
%define name	gstreamer0.10-vaapi
%define oname	gstreamer-vaapi
%define version	0.3.6
%define rel	3

%define api	0.10
%define major	0
%define libname	%mklibname gstvaapi %api %major
%define devname	%mklibname -d gstvaapi %api

Summary:	VA-API support for GStreamer
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
URL:		http://gitorious.org/vaapi/gstreamer-vaapi
Source:		gstreamer-vaapi-%{version}.tar.gz
Patch0:		gstreamer-vaapi-0.3.6-ffmpeg0.11.patch
Patch1:		gstreamer-vaapi-0.3.6-link.patch
Patch2:		gstreamer-vaapi-0.3.6-automake-1.13.patch
Patch3:		gstreamer-vaapi-0.3.6-mesa9.patch
License:	GPLv2+
Group:		Video/Utilities
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gstreamer-0.10) >= 0.10.10
BuildRequires: pkgconfig(gstreamer-base-0.10) >= 0.10.10
BuildRequires: pkgconfig(gstreamer-basevideo-0.10) >= 0.10.22
BuildRequires: pkgconfig(gstreamer-interfaces-0.10) >= 0.10.16
BuildRequires: pkgconfig(gstreamer-codecparsers-0.10) >= 0.10.10
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.16
BuildRequires: pkgconfig(gstreamer-video-0.10) >= 0.10.10
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libva)
BuildRequires: pkgconfig(libva-x11)
BuildRequires: pkgconfig(x11)
BUildRequires:	gtk-doc

%description
gstreamer-vaapi consists of a collection of VA-API based plugins for
GStreamer and helper libraries, allowing the use of VA-API acceleration
in applications that GStreamer for video playback.

%package -n %{libname}
Summary:	GStreamer VA-API support libraries
License:	LGPLv2+
Group:		System/Libraries

%description -n %{libname}
Helper libraries used by gstreamer0.10-vaapi.

%package -n %{devname}
Summary:	Development files for libgstvaapi
License:	LGPLv2+
Group:		System/Libraries

%description -n %{devname}
Development files for the libgstvaapi helper libraries.

%prep
%setup -q -n vaapi-gstreamer-vaapi
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
NO_CONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# Remove unpackaged files
find %{buildroot} -name '*.la' -delete

%files
%{_libdir}/gstreamer-%{api}/libgstvaapi.so

%files -n %{libname}
%{_libdir}/libgstvaapi*-%{api}.so.%{major}*

%files -n %{devname}
%doc README NEWS AUTHORS
%{_includedir}/gstreamer-%{api}/gst/vaapi
%{_libdir}/libgstvaapi*-%{api}.so
%{_libdir}/pkgconfig/gstreamer-vaapi*-%{api}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.6-3.mga3
+ Revision: 352752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.3.6-2.mga3
+ Revision: 341786
- fix build with recent mesa (upstream patch)
- fix build with automake 1.13
- rebuild for new ffmpeg

* Thu May 31 2012 fwang <fwang> 0.3.6-1.mga3
+ Revision: 252082
- update file list
- cleanup file list
- more linkage fix
- more fix
- fix linkage
- build verbose
- apply patch
- drop unused field
- br codecparsers
- more br
- updatre br
- use autogen
- new version 0.3.6

* Fri Jun 24 2011 fwang <fwang> 0.2.5-3.mga2
+ Revision: 113111
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun Jan 16 2011 anssi <anssi> 0.2.5-2.mga1
+ Revision: 20104
- imported package gstreamer0.10-vaapi

